HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get Account Rates with {providerAccountId}

Return a list of currently-active rates for an account using your chosen {providerAccountId} value.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve tariff rates for an account using your providerAccountId.

Use this endpoint when you identify accounts with your own IDs. To retrieve rates using the Arcadia-generated account identifier, use Get Account Rates with accountId.

By default, the response includes currently active rates. To retrieve rates for another period, pass fromDateTime and toDateTime.

Resource URI

GET /rest/v1/accounts/pid/{providerAccountId}/rates

Path parameters

ParameterTypeDescription
providerAccountIdStringYour unique identifier for the Account object. Required.

Query parameters

ParameterTypeDescription
serviceTypeStringService type to include. Choices are ELECTRICITY and SOLAR_PV. Defaults to ELECTRICITY. Optional.
fromDateTimeDateTimeReturn rates from tariffs effective on or after this date. Optional.
toDateTimeDateTimeReturn rates from tariffs effective on or before this date. Optional.
lookupVariableRatesBooleanWhen true, looks up variable price tariff rates and returns their effective date ranges. Defaults to false. Optional.
bundleRatesBooleanWhen true, returns summarized, or bundled, rates. Defaults to false. Optional.
fieldsStringPass ext to include maximum fields in the response. Optional.

The endpoint also supports standard pagination, search, and sorting parameters.

For the full data model, account rates workflow, variable-rate behavior, and detailed examples, see Account Rates API.

Example

GET /rest/v1/accounts/pid/rate-example/rates?lookupVariableRates=true

A successful response returns a standard response payload with type set to TariffRate and results containing matching tariff rates.

{
  "status": "success",
  "count": 1,
  "type": "TariffRate",
  "results": [
    {
      "tariffRateId": 17286172,
      "tariffId": 3208943,
      "rateName": "MSC Rate - Zone J",
      "fromDateTime": "2015-09-01T00:00:00-04:00",
      "toDateTime": "2015-09-02T00:00:00-04:00",
      "rateBands": []
    }
  ]
}
Path Params
string
required

This is your unique identifier chosen to represent the Account object.

Query Params
string
Defaults to ELECTRICITY

String that indicates the service type to include. Choices are: ELECTRICITY, SOLAR_PV

date

Only include tariffs that are effective on or after this date.

date

Only include tariffs that are effective on or before this date

boolean

When true (false by default) any variable price tariff rates will be looked up and returned on the response. Can work in conjunction with a passed in date range. If no date range is supplied, the default range is the first of the current month to the first of next month.

boolean

When true (false by default) the rates are summarized (bundled)

string

The string of text to search on. This can also be a regular expression, in which case you should set the isRegex flag to true (see below). (Optional)

string

This is from the standard searching and sorting parameters. You can search within one or more of the attributes within the Account object. When search is specified but searchOn is not specified, the default fields searched on are accountName and customerOrgName.

int32

The index of the first result. If not specified, this is zero. (Optional)

int32

The number of results to return. If not specified, this will return 25 results. (Optional)

boolean

When true, the search will only return results that begin with the specified search string. Otherwise, any match of the search string will be returned as a result. The default is false. (Optional)

boolean

When true, the search will only return results that end with the specified search string. Otherwise, any match of the search string will be returned as a result. The default is false. (Optional)

boolean

When true, the provided search string will be regarded as a regular expression and the search will return results matching the regular expression. The default is false. (Optional)

string

Comma-separated list of fields to sort on. This can also be input via Array Inputs (see above). (Optional)

string

Comma-separated list of ordering. Possible values are ASC and DESC. Default is ASC. If your sortOn contains multiple fields and you would like to order fields individually, you can pass in a comma-separated list here (or use Array Inputs, see above). For example, if your sortOn contained 5 fields, and your sortOrder contained ASC,DESC,DESC, these would be applied to the first three items in the sortOn field. The remaining two would default to ASC. (Optional)

string
Defaults to Pass in `ext ` to obtain maximum fields in response
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json